| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiKernel.Configurable.CreateSequencesVisitor Class Reference
Inheritance diagram for GaudiKernel.Configurable.CreateSequencesVisitor:
[legend]
Collaboration diagram for GaudiKernel.Configurable.CreateSequencesVisitor:
[legend]

## Public Member Functions
def | __init__ (self)
def | sequence (self)
def | enter (self, visitee)
def | leave (self, visitee)

## Public Attributes
| stack

## Private Member Functions
def | _getUniqueName (self, prefix)
def | _newSeq (self, prefix='seq_', kwargs)

## Detailed Description

Definition at line 1557 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.CreateSequencesVisitor.__init__ | ( |  | self | ) |

Definition at line 1558 of file Configurable.py.

1558 def __init__(self):
1559 self.stack = []
1560
GaudiKernel.Configurable.CreateSequencesVisitor.__init__
def __init__(self)
Definition: Configurable.py:1558
GaudiKernel.Configurable.CreateSequencesVisitor.stack
stack
Definition: Configurable.py:1559

## Member Function Documentation

def GaudiKernel.Configurable.CreateSequencesVisitor._getUniqueName | ( |  | self,
|  |  | prefix
| ) |  |
| private

Definition at line 1568 of file Configurable.py.

1568 def _getUniqueName(self, prefix):
1569 from Gaudi.Configuration import allConfigurables
1570 cnt = 0
1571 name = prefix + str(cnt)
1572 while name in allConfigurables:
1573 cnt += 1
1574 name = prefix + str(cnt)
1575 return name
1576
GaudiKernel.Configurable.CreateSequencesVisitor._getUniqueName
def _getUniqueName(self, prefix)
Definition: Configurable.py:1568
Gaudi.Configuration
Definition: Configuration.py:1

def GaudiKernel.Configurable.CreateSequencesVisitor._newSeq | ( |  | self,
|  |  | prefix = `'seq_'`,
|  |  | kwargs
| ) |  |
| private

Definition at line 1577 of file Configurable.py.

1577 def _newSeq(self, prefix='seq_', **kwargs):
1578 from Configurables import GaudiSequencer
1579 return GaudiSequencer(self._getUniqueName('seq_'),
1580 **kwargs)
1581
GaudiKernel.Configurable.CreateSequencesVisitor._newSeq
def _newSeq(self, prefix='seq_', kwargs)
Definition: Configurable.py:1577
GaudiKernel.Configurable.CreateSequencesVisitor._getUniqueName
def _getUniqueName(self, prefix)
Definition: Configurable.py:1568
GaudiSequencer
Sequencer for executing several algorithms, stopping when one is faulty.
Definition: GaudiSequencer.h:26

def GaudiKernel.Configurable.CreateSequencesVisitor.enter | ( |  | self,
|  |  | visitee
| ) |  |

Definition at line 1565 of file Configurable.py.

1565 def enter(self, visitee):
1566 pass
1567
GaudiKernel.Configurable.CreateSequencesVisitor.enter
def enter(self, visitee)
Definition: Configurable.py:1565

def GaudiKernel.Configurable.CreateSequencesVisitor.leave | ( |  | self,
|  |  | visitee
| ) |  |

Definition at line 1582 of file Configurable.py.

1582 def leave(self, visitee):
1583 stack = self.stack
1584 if visitee in (CFTrue, CFFalse):
1585 stack.append(self._newSeq(Invert=visitee is CFFalse))
1586 elif isinstance(visitee, (ControlFlowLeaf, ConfigurableAlgorithm)):
1587 stack.append(visitee)
1588 elif isinstance(visitee, (OrNode, AndNode, OrderedNode)):
1589 b = stack.pop()
1590 a = stack.pop()
1591 seq = self._newSeq(Members=[a, b],
1592 ModeOR=isinstance(visitee, OrNode),
1593 ShortCircuit=not isinstance(visitee, OrderedNode),
1594 MeasureTime=True)
1595 stack.append(seq)
1596 elif isinstance(visitee, ignore):
1597 if hasattr(stack[-1], 'IgnoreFilterPassed'):
1598 stack[-1].IgnoreFilterPassed = True
1599 else:
1600 stack.append(self._newSeq(Members=[stack.pop()],
1601 IgnoreFilterPassed=True))
1602 elif isinstance(visitee, InvertNode):
1603 if hasattr(stack[-1], 'Invert'):
1604 stack[-1].Invert = True
1605 else:
1606 stack.append(self._newSeq(Members=[stack.pop()],
1607 Invert=True))
1608
GaudiKernel.Configurable.CreateSequencesVisitor._newSeq
def _newSeq(self, prefix='seq_', kwargs)
Definition: Configurable.py:1577
GaudiKernel.Configurable.CreateSequencesVisitor.leave
def leave(self, visitee)
Definition: Configurable.py:1582
GaudiKernel.Configurable.CreateSequencesVisitor.stack
stack
Definition: Configurable.py:1559

def GaudiKernel.Configurable.CreateSequencesVisitor.sequence | ( |  | self | ) |

Definition at line 1562 of file Configurable.py.

1562 def sequence(self):
1563 return self.stack[-1]
1564
GaudiKernel.Configurable.CreateSequencesVisitor.sequence
def sequence(self)
Definition: Configurable.py:1562
GaudiKernel.Configurable.CreateSequencesVisitor.stack
stack
Definition: Configurable.py:1559

## Member Data Documentation

GaudiKernel.Configurable.CreateSequencesVisitor.stack

Definition at line 1559 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py